
#ifdef __cplusplus
extern "C" {
#endif
int	I9017_15_Init(int slot);
short	I9017_15_ReadGainOffset_Info(int slot, int gain, unsigned short* gVal, short* oVal);
void 	I9017_15_SetSingleEnd(int slot, int selection);
short 	I9017_15_GetSingleEnd(int slot);	//0 differential, 1 single-ended
void 	I9017_15_Set_ChannelGainMode(int slot,int ch,int gain,int mode);
short 	I9017_15_SetGainOffset_Info(int slot,int Gain,unsigned short GainValue, short offsetValue);
short	I9017_15_ReadAI(int slot,int iChannel,int iGain,float* fValue);
short	I9017_15_ReadAIHex(int slot,int iChannel,int iGain,short* iValue);
short	I9017_15_CalibrateHex(int rawHexData,int slot,int ch, int gain);
unsigned short I9017W_EEP_Read(int slot, int addr, unsigned short* eepData);
unsigned short i9017W_EEP_Write(int slot, int gainaddr, unsigned short writeData);
#ifdef __cplusplus
}
#endif

